Name: gtengine
Summary: Library for computations in mathematics, graphics, image analysis, and physics
Version:  2.3
Release:  4%{?dist}
License:  Boost
URL: http://www.geometrictools.com
Source0:  http://www.geometrictools.com/Downloads/GeometricToolsEngine2p3.zip
Source1:  http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt

BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(x11)
BuildRequires: glibc-devel
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel

%description
A library of source code for computing in the fields of mathematics,
graphics, image analysis, and physics.
The engine is written in C++ 11 and, as such, has portable access
to standard constructs for multithreading programming on cores.
The engine also supports high-performance computing using general
purpose GPU programming (GPGPU).
SIMD code is also available using Intel Streaming SIMD Extensions (SSE).

This is new version of Wild Magic 5 Engine.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n GeometricTools
cp -p %{SOURCE1} License

%build
export LDFLAGS="%{__global_ldflags} -lpthread -Wl,--as-needed -lm -Wl,--no-undefined -Wl,--no-allow-shlib-undefined"
export CFLAGS="%{optflags} -pthread -DNDEBUG"
make CFG=ReleaseDynamic -f makefile.gte -C GTEngine -j 1

%install
##Manual installation

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
install -pm 755 GTEngine/lib/ReleaseDynamic/* $RPM_BUILD_ROOT%{_libdir}
ln -sf libgtengine.so.2.0 $RPM_BUILD_ROOT%{_libdir}/libgtengine.so.2
ln -sf libgtengine.so.2.0 $RPM_BUILD_ROOT%{_libdir}/libgtengine.so

mkdir -p $RPM_BUILD_ROOT%{_includedir}/GTEngine
cp -a GTEngine/Include/* $RPM_BUILD_ROOT%{_includedir}/GTEngine

##Edit a pkg-config file
cat > $RPM_BUILD_ROOT%{_libdir}/pkgconfig/gtengine.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

xthreadlib=-lpthread

Name: GTEngine
Description: Geometric Tools Engine
Version: %{version}
Cflags: -I%{_includedir}/GTEngine
Libs: -lgtengine
Libs.private: -lpthread
EOF

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license License
%{_libdir}/*.so.*

%files devel
%{_includedir}/GTEngine/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gtengine.pc

%changelog
* Sat Apr 02 2016 Antonio Trande <sagitter@fedoraproject.org> 2.3-4
- Parallel Make disabled

* Fri Apr 01 2016 Antonio Trande <sagitter@fedoraproject.org> 2.3-3
- Install commands modified

* Fri Apr 01 2016 Antonio Trande <sagitter@fedoraproject.org> 2.3-2
- Renamed as gtengine

* Wed Mar 16 2016 Antonio Trande <sagitter@fedoraproject.org> 2.3-1
- Update to 2.3

* Mon Feb 22 2016 Antonio Trande <sagitter@fedoraproject.org> 2.2-1
- Update to 2.2

* Wed Jan 27 2016 Antonio Trande <sagitter@fedoraproject.org> 2.1-1
- Update to 2.1

* Tue Sep 29 2015 Antonio Trande <sagitter@fedoraproject.org> 2.0-1
- Update to 2.0

* Mon Jun 29 2015 Antonio Trande <sagitter@fedoraproject.org> 1.14-1
- First package
